# Uses of Class
org.eclipse.jface.text.templates.TemplateVariableType

Packages that use TemplateVariableType
Package
Description
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.

## Uses of TemplateVariableType in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return TemplateVariableType
Modifier and Type
Method
Description
`TemplateVariableType`
TemplateVariable.`getVariableType()`
Returns the type of the variable.
Methods in org.eclipse.jface.text.templates with parameters of type TemplateVariableType
Modifier and Type
Method
Description
`protected TemplateVariable`
TemplateTranslator.`createVariable(TemplateVariableType type, String name, int[] offsets)`
Hook method to create new variables.
Constructors in org.eclipse.jface.text.templates with parameters of type TemplateVariableType
Modifier
Constructor
Description
``
`TemplateVariable(TemplateVariableType type, String name, String defaultValue, int[] offsets)`
Creates a template variable.